Subject: Re: [PATCH v2 11/13] remote-hg: force remote push

From: Jed Brown <[email-masked]>
Date: Thu, 04 Apr 2013 13:17:01 -0500

Felipe Contreras <[email-masked]> writes:
> Ideally we shouldn't do this, as it's not recommended in mercurial
> documentation, but there's no other way to push multiple bookmarks (on
> the same branch), which would be the behavior most similar to git.

The problem is that you're interacting with a Mercurial upstream, not a
Git upstream.  When you're in their playground, you have to play by
their rules.  Creating new heads is disruptive and not likely to be
appreciated.